RedCrawler API
Moderation V2

Set User Flair V2

Set or clear a user's subreddit flair (mod override). Provide `text` for custom flair text, `flair_template_id` to use a template, or both. Omit all flair fiel

POST /api/v2/mod/user-flair

Set or clear a user's subreddit flair (mod override).

Provide text for custom flair text, flair_template_id to use a template, or both. Omit all flair fields to clear the flair entirely.

Body parameters

NameTypeRequiredDescription
subredditstringYesSubreddit: name, r/name, URL, or t5_ ID.
userstringYesReddit user: username, u/name, or profile URL.
proxystringNoProxy ip:port:user:pass. Auto-resolves from Token Vault.
css_classstringNoCSS class for old-reddit flair styling.
textstringNoCustom flair text. Omit to use template only or clear flair.
flair_template_idstringNoFlair template UUID from the subreddit's flair list.
bearerstringNoReddit bearer token. Auto-resolves from Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v2/mod/user-flair" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"subreddit": "SpaceX_Starship_News", "user": "Motor_Tip8865", "proxy": "<proxy>", "css_class": "<css_class>", "text": "<text>", "flair_template_id": "<flair_template_id>", "bearer": "<bearer>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/mod/user-flair", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "subreddit": "SpaceX_Starship_News",
  "user": "Motor_Tip8865",
  "proxy": "<proxy>",
  "css_class": "<css_class>",
  "text": "<text>",
  "flair_template_id": "<flair_template_id>",
  "bearer": "<bearer>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/mod/user-flair"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "subreddit": "SpaceX_Starship_News",
  "user": "Motor_Tip8865",
  "proxy": "<proxy>",
  "css_class": "<css_class>",
  "text": "<text>",
  "flair_template_id": "<flair_template_id>",
  "bearer": "<bearer>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "ok": true
  },
  "error": null,
  "meta": {
    "vault_expires_at": "2026-04-30T07:47:21.906002+00:00",
    "vault_remaining": "15h 42m"
  },
  "timestamp": "2026-04-29T16:04:59.152138+00:00"
}

On this page